Index: source/class/pf/Application.js
===================================================================
--- source/class/pf/Application.js	(revision 144)
+++ source/class/pf/Application.js	(revision 146)
@@ -10,5 +10,4 @@
 
 /* ************************************************************************
-
 
 #asset(pf/image/*.png)
@@ -170,6 +169,6 @@
     } else {
         var tree = this.entity_tree;
-        var leaf = tree.getSelectedElement();
-        if (leaf && leaf.classname == "qx.legacy.ui.tree.TreeFile" && explorer_is_seen) {
+        var leaf = getSingleTreeSelectedItem(tree);
+        if (leaf && leaf.classname == "qx.ui.tree.TreeFile" && explorer_is_seen) {
             this.loadWikiButton.setEnabled(true);
         } else {
@@ -190,7 +189,7 @@
 
     var tree = this.entity_tree;
-    var leaf = tree.getSelectedElement();
-
-    if (leaf && leaf.classname == "qx.legacy.ui.tree.TreeFile" && explorer_is_seen) {
+    var leaf = getSingleTreeSelectedItem(tree);
+
+    if (leaf && leaf.classname == "qx.ui.tree.TreeFile" && explorer_is_seen) {
         if (this.isFavorite(leaf)) {
             this.editMenuButtonAddToFav.setEnabled(false);
@@ -206,4 +205,14 @@
 }
 
+function getSingleTreeSelectedItem(tree)
+{
+    var sels = tree.getSelection();
+    if (sels && sels.length == 1) {
+        return sels[0];
+    } else {
+        return null;
+    }
+}
+
 function treeMenuCB(ev)
 {
@@ -214,8 +223,14 @@
             menu.hide();
         } else {
-            var leaf = ev.getTarget();
-            var el = leaf.getElement();
-            
-            if (leaf.classname == "qx.legacy.ui.tree.TreeFile") {
+            var w = ev.getTarget();
+            var leaf = null;
+            if (w.classname == "qx.ui.tree.TreeFile") {
+                leaf = w;
+            } else
+            if (w.getLayoutParent().classname == "qx.ui.tree.TreeFile") {
+                leaf = w.getLayoutParent();
+            }
+            
+            if (leaf) {
                 if (this.isFavorite(leaf)) {
                     this.treeMenuButtonAddToFav.setEnabled(false);
@@ -230,12 +245,10 @@
             }
             
-            // position the menu
-            menu.setLeft(ev.getClientX());
-            menu.setTop(ev.getClientY());
-
+            // position & show the menu
+            menu.placeToMouse(ev);
             menu.show();
         };
 
-        ev.stopPropagation();
+        // ev.stopPropagation();
     }
 }
@@ -286,5 +299,5 @@
 {
     var tree = this.entity_tree;
-    var leaf = tree.getSelectedElement();
+    var leaf = getSingleTreeSelectedItem(tree);
 
     if (!leaf) {
@@ -311,5 +324,5 @@
 {
     var tree = this.entity_tree;
-    var leaf = tree.getSelectedElement();
+    var leaf = getSingleTreeSelectedItem(tree);
 
     if (!leaf) {
@@ -339,8 +352,9 @@
 function clickTreeCB(ev)
 {
-    var e = ev.getTarget();
-    if (e.isSelected()) {
+    var tree = ev.getTarget();
+    var e = getSingleTreeSelectedItem(tree);
+    if (e) {
         var entity = e.getUserData("entity");
-
+        
         if (entity) {
             this.gui_entity_units.update(entity.dimension,
@@ -364,6 +378,5 @@
 qx.Class.define("pf.Application",
 {
-    extend : qx.application.Inline,
-    include : [qx.legacy.application.MGuiCompat],
+    extend : qx.application.Standalone,
 
     /*
@@ -410,5 +423,5 @@
             this.gui_T_r.setNumValue(this.plasma.r.getT());
             this.gui_Z_r.setValue(this.plasma.r.getQ());
-            this.gui_Zcore.setValue(this.plasma.r.getQ() + 1);
+            this.gui_Zcore.setValue((this.plasma.r.getQ() + 1) + '');
             this.gui_M_r.setValue(this.plasma.r.getM());
             
@@ -469,5 +482,5 @@
         {
             var tree = this.entity_tree;
-            var leaf = tree.getSelectedElement();
+            var leaf = getSingleTreeSelectedItem(tree);
             
             if (!leaf) {
@@ -481,5 +494,5 @@
             if (entity) {
                 var v     = this.evaluateEntityValue(entity, species);
-                var scale = this.gui_entity_units.getSelected().getValue();
+                var scale = this.gui_entity_units.getSelectedValue();
                 
                 name    = this.getEntityFullName(entity, species);
@@ -496,10 +509,14 @@
             this.gui_entity_section.setValue(section);
 
-            this.gui_entity_value.setNumValue(value);
+            if (isFinite(value)) {
+                this.gui_entity_value.setNumValue(value);
+            } else {
+                this.gui_entity_value.setValue("");
+            }
             
             if (this.prefs.autoLoadWiki) {
                 this.showWikiPage(entity);
             } else {
-                this.gui_wiki.setSource(null);
+                this.showWikiPage(null);
             }
         },
@@ -597,6 +614,6 @@
                         var icon = "pf/image/" + s.id + "_small.png";
 
-                        leaf = new qx.legacy.ui.tree.TreeFile(entity.name, icon);
-                        leaf.addListener("changeSelected", clickTreeCB, this);
+                        leaf = new qx.ui.tree.TreeFile(entity.name);
+                        leaf.setIcon(icon);
                         leaf.addListener("contextmenu", treeMenuCB, this);
                         leaf.setUserData("entity", entity);
@@ -611,7 +628,6 @@
                     break;
                 default:
-                    leaf = new qx.legacy.ui.tree.TreeFile(entity.name,
-                        "pf/image/all_small.png");
-                    leaf.addListener("changeSelected", clickTreeCB, this);
+                    leaf = new qx.ui.tree.TreeFile(entity.name);
+                    leaf.setIcon("pf/image/all_small.png");
                     leaf.addListener("contextmenu", treeMenuCB, this);
                     leaf.setUserData("entity", entity);
@@ -661,10 +677,11 @@
         {
             var lv = this.favoritesListView;
-            var rowData = lv.getData();
-            rowData.length = 0;
+            var tm = lv.getTableModel();
             
             var dimension = this.gui_compare_dim.getSelectedValue();
             
             var scale = this.gui_compare_units.getSelectedValue();
+            
+            var rowData = new Array();
             
             for (var i = 0; i < this.favorites.length; i++) {
@@ -687,15 +704,15 @@
                 var value = scale*this.evaluateEntityValue(entity, species);
 
-                rowData.push({ s_icon  : {icon       : icon,
-                                          iconWidth  : 16, 
-                                          iconHeight : 16             },
-                               name    : {text       : name           },
-                               section : {text       : entity.section },
-                               value   : {text       : pf.util.Format.numPrint(value)}
-                             });
-            }
-            
-            lv.updateSort();
-            lv.update();
+                rowData.push([icon, name, entity.section,
+                    pf.util.Format.numPrint(value)]);
+            }
+            
+            tm.setData(rowData, false);
+            var sidx = tm.getSortColumnIndex();
+            tm.sortByColumn(sidx, tm.isSortAscending());
+            
+            lv.updateContent();
+            // lv.updateSort();
+            // lv.update();
         },
 
@@ -703,6 +720,7 @@
         {
             var lv = this.legendListView;
-            var rowData = lv.getData();
-            rowData.length = 0;
+            var tm = lv.getTableModel();
+
+            var rowData = new Array();
             
             var dimension = this.gui_compare_dim.getSelectedValue();
@@ -727,14 +745,10 @@
                 var color = fav.color;
 
-                rowData.push({ s_icon   : {icon       : icon,
-                                           iconWidth  : 16, 
-                                           iconHeight : 16    },
-                               name     : {text       : name  },
-                               color    : {text       : color,
-                                           textColor  : color },
-                               favorite : fav
-                             });
-            }
-            lv.update();
+                rowData.push({"icon": icon, "name": name, "color": color,
+                    "favorite": fav});
+            }
+            
+            tm.setDataAsMapArray(rowData);
+            // lv.updateContent();
         },
 
@@ -742,16 +756,12 @@
         renderTabPage : function(label, icon, checked)
         {
-            var tab_id, page_id;
-            
-            tab_id = new qx.legacy.ui.pageview.tabview.Button(label, icon);
-            this.tabbar.add(tab_id);
-            page_id = new qx.legacy.ui.pageview.tabview.Page(tab_id);
-            page_id.setHeight("100%");
-            page_id.setPadding(10, 10, 10, 10);
-            page_id.setBackgroundColor("white");
-            this.tabpane.add(page_id);
+            var page_id;
+            
+            page_id = new qx.ui.tabview.Page(label, icon);
+            page_id.setPadding(0, 0, 0, 0);
+            this.tabview.add(page_id);
 
             if (checked) {
-                tab_id.setChecked(true);
+                this.tabview.setSelection(page_id);
             }
             
@@ -761,61 +771,40 @@
         renderParametersTab : function()
         {
+            var fr, gl, rc, rc1, rc2;
+            
             var page_id = this.renderTabPage("Parameters",
                 "pf/image/tab-parameters.png", true);
-
-            var fr, gl, rc0, rc, rc1, rc2;
-
-            rc0 = new qx.legacy.ui.layout.VerticalBoxLayout;
-            rc0.setWidth("100%");
-            rc0.setHeight("auto");
-            rc0.setSpacing(1);
-            page_id.add(rc0);
-
-            fr = new qx.legacy.ui.groupbox.GroupBox("Configuration name",
+            page_id.setLayout(new qx.ui.layout.VBox(1));
+
+            fr = new qx.ui.groupbox.GroupBox("Configuration name",
                 "pf/image/info.png");
-            fr.setDimension("100%", "auto");
-            fr.setBackgroundColor("#e1eeff");
-            fr.getLegendObject().setBackgroundColor("#e1eeff");
+            fr.setLayout(new qx.ui.layout.VBox());
+
             this.gui_configName =
-                new qx.legacy.ui.basic.Atom(this.prefs.currentConfigName);
+                new qx.ui.basic.Atom(this.prefs.currentConfigName);
             fr.add(this.gui_configName);
-            rc0.add(fr);
-
-            rc = new qx.legacy.ui.layout.HorizontalBoxLayout;
-            rc.setWidth("100%");
-            rc.setHeight("auto");
-            rc.setSpacing(1);
-            rc0.add(rc);
-            
-            rc1 = new qx.legacy.ui.layout.VerticalBoxLayout;
-            rc1.setWidth("50%");
-            rc1.setHeight("auto");
-            rc1.setSpacing(2);
-            rc.add(rc1);
-            
-            rc2 = new qx.legacy.ui.layout.VerticalBoxLayout;
-            rc2.setWidth("50%");
-            rc2.setHeight("auto");
-            rc2.setSpacing(2);
-            rc.add(rc2);
-            
-            fr = new qx.legacy.ui.groupbox.GroupBox("Electrons",
+            page_id.add(fr);
+            
+
+            rc = new qx.ui.container.Composite(new qx.ui.layout.HBox(1));
+            page_id.add(rc);
+            
+            rc1 = new qx.ui.container.Composite(new qx.ui.layout.VBox(2));
+            rc.add(rc1, {flex : 1});
+            
+            rc2 = new qx.ui.container.Composite(new qx.ui.layout.VBox(2));
+            rc.add(rc2, {flex : 1});
+            
+            
+            fr = new qx.ui.groupbox.GroupBox("Electrons",
                 "pf/image/e_small.png");
-            fr.setDimension("100%", "auto");
-            fr.setBackgroundColor("#eeeeff");
-            fr.getLegendObject().setBackgroundColor("#eeeeff");
+            fr.setLayout(new qx.ui.layout.VBox());
 
             rc1.add(fr);
 
-            gl = new qx.legacy.ui.layout.GridLayout;
-            gl.setWidth("100%");
-            gl.setVerticalSpacing(4);
-            gl.setHorizontalSpacing(6);
-            gl.setColumnCount(2);
-            gl.setColumnWidth(0, "25%");
-            gl.setColumnWidth(1, "75%");
-            gl.setRowCount(2);
-            gl.setRowHeight(0, 30);
-            gl.setRowHeight(1, 30);
+            var layout = new qx.ui.layout.Grid(4, 6);
+            layout.setColumnWidth(0, 80);
+            layout.setColumnFlex(1, 1);
+            gl = new qx.ui.container.Composite(layout);
 
             fr.add(gl);
@@ -824,212 +813,187 @@
 
             // N_e
-            l = new qx.legacy.ui.basic.Label("N<sub>e</sub> (cm<sup>-3</sup>):");
-            gl.add(l, 0, 0);
+            l = new qx.ui.basic.Label("N<sub>e</sub> (cm<sup>-3</sup>):");
+            l.setRich(true);
+            gl.add(l, {row: 0, column: 0});
             e = new pf.ui.TextField(this.plasma.e.getN());
-            gl.add(e, 1, 0);
+            gl.add(e, {row: 0, column: 1});
             e.addListener("changeValue", changeN_e, this);
             this.gui_N_e = e;
 
             // T_e
-            l = new qx.legacy.ui.basic.Label("T<sub>e</sub> (eV):");
-            gl.add(l, 0, 1);
+            l = new qx.ui.basic.Label("T<sub>e</sub> (eV):");
+            l.setRich(true);
+            gl.add(l, {row: 1, column: 0});
             e = new pf.ui.TextField(this.plasma.e.getT());
-            gl.add(e, 1, 1);
+            gl.add(e, {row: 1, column: 1});
             e.addListener("changeValue", changeT_e, this);
             this.gui_T_e = e;
-
-
-            fr = new qx.legacy.ui.groupbox.GroupBox("Ions",
+            
+            fr = new qx.ui.groupbox.GroupBox("Ions",
                 "pf/image/i_small.png");
-            fr.setDimension("100%", "auto");
-            fr.setBackgroundColor("#ffeeee");
-            fr.getLegendObject().setBackgroundColor("#ffeeee");
+            fr.setLayout(new qx.ui.layout.VBox());
 
             rc1.add(fr);
 
-            gl = new qx.legacy.ui.layout.GridLayout;
-            gl.setWidth("100%");
-            gl.setVerticalSpacing(4);
-            gl.setHorizontalSpacing(6);
-            gl.setColumnCount(2);
-            gl.setColumnWidth(0, "25%");
-            gl.setColumnWidth(1, "75%");
-            gl.setRowCount(4);
-            gl.setRowHeight(0, 30);
-            gl.setRowHeight(1, 30);
-            gl.setRowHeight(2, 30);
-            gl.setRowHeight(3, 30);
+            layout = new qx.ui.layout.Grid(4, 6);
+            layout.setColumnWidth(0, 80);
+            layout.setColumnFlex(1, 1);
+            gl = new qx.ui.container.Composite(layout);
 
             fr.add(gl);
 
             // Z_i
-            l = new qx.legacy.ui.basic.Label("Z<sub>i</sub>:");
-            gl.add(l, 0, 0);
-            e = new pf.ui.Spinner(1, this.plasma.i.getQ(), 100);
-            gl.add(e, 1, 0);
-            e.addListener("change", changeZ_i, this);
+            l = new qx.ui.basic.Label("Z<sub>i</sub>:");
+            l.setRich(true);
+            gl.add(l, {row: 0, column: 0});
+            e = new qx.ui.form.Spinner(1, this.plasma.i.getQ(), 100);
+            gl.add(e, {row: 0, column: 1});
+            e.addListener("changeValue", changeZ_i, this);
             this.gui_Z_i = e;
             
             // M_i
-            l = new qx.legacy.ui.basic.Label("M<sub>i</sub>:");
-            gl.add(l, 0, 1);
-            e = new pf.ui.Spinner(1, this.plasma.i.getM(), 200);
-            gl.add(e, 1, 1);
-            e.addListener("change", changeM_i, this);
+            l = new qx.ui.basic.Label("M<sub>i</sub>:");
+            l.setRich(true);
+            gl.add(l, {row: 1, column: 0});
+            e = new qx.ui.form.Spinner(1, this.plasma.i.getM(), 200);
+            gl.add(e, {row: 1, column: 1});
+            e.addListener("changeValue", changeM_i, this);
             this.gui_M_i = e;
             
             // T_i
-            l = new qx.legacy.ui.basic.Label("T<sub>i</sub> (eV):");
-            gl.add(l, 0, 2);
+            l = new qx.ui.basic.Label("T<sub>i</sub> (eV):");
+            l.setRich(true);
+            gl.add(l, {row: 2, column: 0});
             e = new pf.ui.TextField(this.plasma.i.getT());
-            gl.add(e, 1, 2);
+            gl.add(e, {row: 2, column: 1});
             e.addListener("changeValue", changeT_i, this);
             this.gui_T_i = e;
 
             // N_i
-            l = new qx.legacy.ui.basic.Label("N<sub>i</sub> (cm<sup>-3</sup>):");
-            gl.add(l, 0, 3);
+            l = new qx.ui.basic.Label("N<sub>i</sub> (cm<sup>-3</sup>):");
+            l.setRich(true);
+            gl.add(l, {row: 3, column: 0});
             e = new pf.ui.TextField(this.plasma.i.getN());
-            gl.add(e, 1, 3);
+            gl.add(e, {row: 3, column: 1});
             e.setReadOnly(true);
             this.gui_N_i = e;
             
-            
-            fr = new qx.legacy.ui.groupbox.GroupBox("Radiators",
+            fr = new qx.ui.groupbox.GroupBox("Radiators",
                 "pf/image/r_small.png");
-            fr.setDimension("100%", "auto");
-            fr.setBackgroundColor("#eeffee");
-            fr.getLegendObject().setBackgroundColor("#eeffee");
+            fr.setLayout(new qx.ui.layout.VBox());
 
             rc2.add(fr);
 
-            gl = new qx.legacy.ui.layout.GridLayout;
-            gl.setWidth("100%");
-            gl.setVerticalSpacing(4);
-            gl.setHorizontalSpacing(6);
-            gl.setColumnCount(2);
-            gl.setColumnWidth(0, "25%");
-            gl.setColumnWidth(1, "75%");
-            gl.setRowCount(5);
-            gl.setRowHeight(0, 30);
-            gl.setRowHeight(1, 30);
-            gl.setRowHeight(2, 30);
-            gl.setRowHeight(3, 30);
-            gl.setRowHeight(4, 30);
+            layout = new qx.ui.layout.Grid(4, 6);
+            layout.setColumnWidth(0, 80);
+            layout.setColumnFlex(1, 1);
+            gl = new qx.ui.container.Composite(layout);
 
             fr.add(gl);
 
-
             // Z_r
-            l = new qx.legacy.ui.basic.Label("Z<sub>r</sub>:");
-            gl.add(l, 0, 0);
-            e = new pf.ui.Spinner(0, this.plasma.r.getQ(), 100);
-            gl.add(e, 1, 0);
-            e.addListener("change", changeZ_r, this);
+            l = new qx.ui.basic.Label("Z<sub>r</sub>:");
+            l.setRich(true);
+            gl.add(l, {row: 0, column: 0});
+            e = new qx.ui.form.Spinner(0, this.plasma.r.getQ(), 100);
+            gl.add(e, {row: 0, column: 1});
+            e.addListener("changeValue", changeZ_r, this);
             this.gui_Z_r = e;
 
             // M_r
-            l = new qx.legacy.ui.basic.Label("M<sub>r</sub>:");
-            gl.add(l, 0, 1);
-            e = new pf.ui.Spinner(1, this.plasma.r.getM(), 200);
-            gl.add(e, 1, 1);
-            e.addListener("change", changeM_r, this);
+            l = new qx.ui.basic.Label("M<sub>r</sub>:");
+            l.setRich(true);
+            gl.add(l, {row: 1, column: 0});
+            e = new qx.ui.form.Spinner(1, this.plasma.r.getM(), 200);
+            gl.add(e, {row: 1, column: 1});
+            e.addListener("changeValue", changeM_r, this);
             this.gui_M_r = e;
 
             // T_r
-            l = new qx.legacy.ui.basic.Label("T<sub>r</sub> (eV):");
-            gl.add(l, 0, 2);
+            l = new qx.ui.basic.Label("T<sub>r</sub> (eV):");
+            l.setRich(true);
+            gl.add(l, {row: 2, column: 0});
             e = new pf.ui.TextField(this.plasma.r.getT());
-            gl.add(e, 1, 2);
+            gl.add(e, {row: 2, column: 1});
             e.addListener("changeValue", changeT_r, this);
             this.gui_T_r = e;
 
             // P_r
-            l = new qx.legacy.ui.basic.Label("P<sub>r</sub> (%):");
-            gl.add(l, 0, 3);
-            e = new pf.ui.Spinner(0, 100*this.plasma.P_r, 100);
-            gl.add(e, 1, 3);
-            e.addListener("change", changeP_r, this);
+            l = new qx.ui.basic.Label("P<sub>r</sub> (%):");
+            l.setRich(true);
+            gl.add(l, {row: 3, column: 0});
+            e = new qx.ui.form.Spinner(0, 100*this.plasma.P_r, 100);
+            gl.add(e, {row: 3, column: 1});
+            e.addListener("changeValue", changeP_r, this);
             this.gui_P_r = e;
 
             // N_r
-            l = new qx.legacy.ui.basic.Label("N<sub>r</sub> (cm<sup>-3</sup>):");
-            gl.add(l, 0, 4);
+            l = new qx.ui.basic.Label("N<sub>r</sub> (cm<sup>-3</sup>):");
+            l.setRich(true);
+            gl.add(l, {row: 4, column: 0});
             e = new pf.ui.TextField(this.plasma.r.getN());
             e.setReadOnly(true);
-            gl.add(e, 1, 4);
+            gl.add(e, {row: 4, column: 1});
             this.gui_N_r = e;
 
 
-            fr = new qx.legacy.ui.groupbox.GroupBox("Fields",
+            fr = new qx.ui.groupbox.GroupBox("Fields",
                 "pf/image/field_small.png");
-            fr.setDimension("100%", "auto");
-            fr.setBackgroundColor("#ffffdd");
-            fr.getLegendObject().setBackgroundColor("#ffffdd");
+            fr.setLayout(new qx.ui.layout.VBox());
 
             rc1.add(fr);
 
-            gl = new qx.legacy.ui.layout.GridLayout;
-            gl.setWidth("100%");
-            gl.setVerticalSpacing(4);
-            gl.setHorizontalSpacing(6);
-            gl.setColumnCount(2);
-            gl.setColumnWidth(0, "25%");
-            gl.setColumnWidth(1, "75%");
-            gl.setRowCount(1);
-            gl.setRowHeight(0, 30);
+            layout = new qx.ui.layout.Grid(4, 6);
+            layout.setColumnWidth(0, 80);
+            layout.setColumnFlex(1, 1);
+            gl = new qx.ui.container.Composite(layout);
 
             fr.add(gl);
 
 
-            l = new qx.legacy.ui.basic.Label("B (T):");
-            gl.add(l, 0, 0);
+            l = new qx.ui.basic.Label("B (T):");
+            l.setRich(true);
+            gl.add(l, {row: 0, column: 0});
             e = new pf.ui.TextField(this.plasma.B);
-            gl.add(e, 1, 0);
+            gl.add(e, {row: 0, column: 1});
             e.addListener("changeValue", changeB, this);
             this.gui_B = e;
 
             // Atomic system frame
-            fr = new qx.legacy.ui.groupbox.GroupBox("Atomic system",
+            fr = new qx.ui.groupbox.GroupBox("Atomic system",
                 "pf/image/all_small.png");
-            fr.setDimension("100%", "auto");
-            fr.setBackgroundColor("#ffffdd");
-            fr.getLegendObject().setBackgroundColor("#ffffdd");
+            fr.setLayout(new qx.ui.layout.VBox());
 
             rc2.add(fr);
 
-            gl = new qx.legacy.ui.layout.GridLayout;
-            gl.setWidth("100%");
-            gl.setVerticalSpacing(4);
-            gl.setHorizontalSpacing(6);
-            gl.setColumnCount(2);
-            gl.setColumnWidth(0, "25%");
-            gl.setColumnWidth(1, "75%");
-            gl.setRowCount(3);
-            gl.setRowHeight(0, 30);
-            gl.setRowHeight(1, 30);
-            gl.setRowHeight(2, 30);
+            layout = new qx.ui.layout.Grid(4, 6);
+            layout.setColumnWidth(0, 80);
+            layout.setColumnFlex(1, 1);
+            gl = new qx.ui.container.Composite(layout);
 
             fr.add(gl);
 
-            l = new qx.legacy.ui.basic.Label("Z<sub>core</sub>:");
-            gl.add(l, 0, 0);
-            e = new qx.legacy.ui.form.TextField(this.plasma.r.getQ() + 1);
+            l = new qx.ui.basic.Label("Z<sub>core</sub>:");
+            l.setRich(true);
+            gl.add(l, {row: 0, column: 0});
+            e = new qx.ui.form.TextField((this.plasma.r.getQ() + 1) + '');
             e.setReadOnly(true);
-            gl.add(e, 1, 0);
+            gl.add(e, {row: 0, column: 1});
             this.gui_Zcore = e;
 
-            l = new qx.legacy.ui.basic.Label("n<sub>u</sub>:");
-            gl.add(l, 0, 1);
-            e = new pf.ui.Spinner(2, this.plasma.n_u, 1000);
-            gl.add(e, 1, 1);
-            e.addListener("change", changeN_u, this);
+            l = new qx.ui.basic.Label("n<sub>u</sub>:");
+            l.setRich(true);
+            gl.add(l, {row: 1, column: 0});
+            e = new qx.ui.form.Spinner(2, this.plasma.n_u, 1000);
+            gl.add(e, {row: 1, column: 1});
+            e.addListener("changeValue", changeN_u, this);
             this.gui_n_u = e;
 
-            l = new qx.legacy.ui.basic.Label("n<sub>l</sub>:");
-            gl.add(l, 0, 2);
-            e = new pf.ui.Spinner(1, this.plasma.n_l, 1000);
-            gl.add(e, 1, 2);
-            e.addListener("change", changeN_l, this);
+            l = new qx.ui.basic.Label("n<sub>l</sub>:");
+            l.setRich(true);
+            gl.add(l, {row: 2, column: 0});
+            e = new qx.ui.form.Spinner(1, this.plasma.n_l, 1000);
+            gl.add(e, {row: 2, column: 1});
+            e.addListener("changeValue", changeN_l, this);
             this.gui_n_l = e;
         },
@@ -1039,32 +1003,26 @@
             var page_id = this.renderTabPage("Explorer",
                 "pf/image/tab-explorer.png", false);
-            
-            var sp = new qx.legacy.ui.splitpane.HorizontalSplitPane(300, "1*");
-            sp.set(
-            {
-                left            : 1,
-                right           : 1,
-                top             : 1,
-                bottom          : 1,
-                border          : "inset-thin",
-                showKnob        : true
+            page_id.setLayout(new qx.ui.layout.VBox);
+
+            var sp = new qx.ui.splitpane.Pane("horizontal");
+            page_id.add(sp, {height: "100%"});
+            
+            // Create container with fixed dimensions for the left:
+            var left_pane = new qx.ui.container.Composite(new qx.ui.layout.Grow).set({
+              width: 250,
+              decorator : "main"
             });
-            page_id.add(sp);
-                        
-            var left_pane  = sp.getLeftArea();
-            left_pane.setBackgroundColor("white");
-            left_pane.setBorder("inset-thin");
-            var right_pane = sp.getRightArea();
-            right_pane.setBackgroundColor("white");
-            right_pane.setBorder("inset-thin");
-            var tree = new qx.legacy.ui.tree.Tree("Browser");
-            tree.set(
-            {
-                overflow        : "scroll",
-                height          : "100%",
-                width           : "100%",
-                paddingLeft     : 4,
-                paddingTop      : 4
+
+            // Create container for the right:
+            var right_pane = new qx.ui.container.Composite(new qx.ui.layout.VBox(4)).set({
+              padding : 4,
+              decorator : "main"
             });
+
+            sp.add(left_pane,  0, {flex: 1});
+            sp.add(right_pane, 1, {flex: 2});
+
+            
+            var tree = new qx.ui.tree.Tree("Browser");
             left_pane.add(tree);
             
